Create Organization Quota

Create Organization Quota
Create an organization quota

This endpoint creates a new organization quota, but does not assign it to a specific organization unless an organization GUID is provided in the relationships.organizations parameter.

To create an organization quota you must be an admin.

Request
URI
POST
https://api.example.local/v3/organization_quotas
COPY
Request Body

Organization quota object that needs to be created

OrganizationQuotaCreateRequestBody of type(s) application/json
Optional

Show optional properties

{
    "name": "string"
}
{
    "name": "string",
    "apps": {
        "per_process_memory_in_mb": 0,
        "total_memory_in_mb": 0,
        "total_instances": 0,
        "log_rate_limit_in_bytes_per_second": 0,
        "per_app_tasks": 0
    },
    "services": {
        "paid_services_allowed": false,
        "total_service_instances": 0,
        "total_service_keys": 0
    },
    "routes": {
        "total_routes": 0,
        "total_reserved_ports": 0
    },
    "domains": {
        "total_domains": 0
    },
    "relationships": {
        "organizations": {
            "data": [
                {
                    "guid": "string"
                }
            ]
        }
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    }
}
Authentication
This operation uses the following authentication methods.
Responses
201

Created

Returns OrganizationQuota of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "name": "string",
    "apps": {
        "per_process_memory_in_mb": 0,
        "total_memory_in_mb": 0,
        "total_instances": 0,
        "log_rate_limit_in_bytes_per_second": 0,
        "per_app_tasks": 0
    },
    "services": {
        "paid_services_allowed": false,
        "total_service_instances": 0,
        "total_service_keys": 0
    },
    "routes": {
        "total_routes": 0,
        "total_reserved_ports": 0
    },
    "domains": {
        "total_domains": 0
    },
    "relationships": {
        "organizations": {
            "data": [
                {
                    "guid": "string"
                }
            ]
        }
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "organizations": {
            "href": "string",
            "method": "string"
        }
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/v3/organization_quotas